Subject: Re: 4. Item 12) in syntax rules.... inconsistencies??

From: Mike LaBonte <[email-masked]>
Date: Thu, 13 Jan 2000 10:33:49 -0500

Reasons for having limits:

1) Tool vendors can stress test the tools for certain compliance
   with the specification.
2) It becomes easier to state how much memory is required to use
   the tool, given compliant files.

That said, a reasonable limit is usually a value that seems
ridiculously high at the time. For example, no PC will ever
need more than 640KB of memory, right?

Mike

[email-masked] wrote:
> 
> As stated..
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 4. Item 12) in syntax rules and [Cn_Number_of_Conductors]
>    Is there a need to limit the size of the conductors to 100000.  I would
>    just let real designs decide the limit?  There is no technical
>    reason why more than 100000 conductors can be supported.
> 
>    I do not have a alternative proposal, but I would like to avoid multi-
>    choice arguments.  The argument for this keyword is either a positive
>    integer or a range, e.g, "9 to 25".  Is 9to25 allowed? 9  TO  25?,
>    25 to 9?, etc.  All of these would need to be tested.
> 
>    The same comment applies for [Cn_Columns_of_Pins] integer or VARIABLE
>    (uppercase only).  The syntax is inconsistent with [Cn_Rows_of_Pins]
>    which does not allow VARIABLE.  While there is no technical limit,
>    there does not seem to be the need to introduce a new data type for
>    each keyword.  It seems that this range and "variable" choice
>    information is best positioned in the [Begin_Cn_Auto_Map] keyword or
>    in some manner that is self-checking.
> ~~~~~~~~~~~~~~~~~~~~~
> 
> There are descriptor words that describe the model as simulated through out the
> document.
> 
> There are also descriptor words that are used to enable the swath operator.
> 
> I think this is the point of confusion.
> 
> I think that there is documentation to try to separate these descriptors...
> Does it need to be more clear??
> 
> _gus
> [email-masked]
> 630-527-4617